import { OnInit, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DropdownSettings } from './dropdown-settings';
export declare const DROPDOWN_CONTROL_VALUE_ACCESSOR: any;
export declare class NgxBootstrapMultiselectDropdownComponent implements OnInit, ControlValueAccessor {
    disabled: boolean;
    items: any[];
    settings: any;
    onDataSelect: EventEmitter<any>;
    onSelectAllData: EventEmitter<{}>;
    onDeselectAllData: EventEmitter<{}>;
    innerSettings: DropdownSettings;
    selectedText: string;
    filteredItems: any[];
    filterValue: string;
    isVisible: boolean;
    selectedItems: any[];
    clickOutsideComponent(): void;
    handleComponentClick(event: Event): void;
    getSelectedItems(): any[];
    setSelectedText(): void;
    showDropdown(): void;
    onFilterSearch(value: string): void;
    onSelect(selectedObject: any): void;
    onSelectAll(): void;
    onDeselectAll(): void;
    isSelectionLimitReached(): boolean;
    isActive(item: any): boolean;
    writeValue(selectedObject: any): void;
    ngOnInit(): void;
    onChange: (selectedObject: any[]) => void;
    onTouched: () => void;
    setDisabledState(isDisabled: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
